[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator *(Tmatrix2_single, Tvector2_single): Tvector2_single

Give product of a two-dimendional single precision matrix and vector

## Declaration

Source position: matrix.pp line 572

`operator operator *(Tmatrix2_single, Tvector2_single): Tvector2_single(`
`const m: Tmatrix2_single;`
`const v: Tvector2_single`
`):Tvector2_single;`

## Description

This operator allows you to multipy a two-dimensional single precision matrices with a two dimensional single precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.

Documentation generated on: Feb 26 2014